﻿@model IEnumerable<Airlines.Business.DTOs.FlightDTO>

@{
	ViewData["Title"] = "Flight Details";
}
<div class="container-form">
	<div class="container-head">
		<a href="/">
			<img src="~/assets/left sidebar.png" alt="bar" />
		</a>
		<h1>Flight @Model.FirstOrDefault()?.Flight_Number</h1>
	</div>
	<table class="table">
		<tr class="table-head">
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Flight_Number)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Airline)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.ArrivalID)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.DepartureID)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Arrival_date)
			</th>
			<th class="table-head-tag">
				@Html.DisplayNameFor(model => model.Departure_date)
			</th>
			<th class="table-head-tag">
				Buttons
			</th>
		</tr>
		@foreach (var item in Model)
		{
			<tr>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Flight_Number)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Airline)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.ArrivalID)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.DepartureID)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Arrival_date)
				</td>
				<td class="table-row-tag">
					@Html.DisplayFor(modelItem => item.Departure_date)
				</td>
				<td class="table-row-tag">
					@Html.ActionLink("Delete", "Delete", new { id = item.ID })
				</td>
			</tr>
		}
	</table>
	<a href="/Flight/Edit/@Model.FirstOrDefault()?.ID" class="block-button-form">Edit</a>
</div>